{#include file="sys/admin_header.htm"#}
<script src="js/jquery.user.selectlayer.js" type='text/javascript' language="javascript"></script>
<script src="{#$QISHI.site_dir#}data/cache_classify.js" type="text/javascript" charset="utf-8"></script>
<script type="text/javascript" src="js/tc.all.js"></script>
<script type="text/javascript">
$(document).ready(function()
{
	showmenu("#com_nature_cn","#menu8","#com_nature","#Form1","#com_nature");
	showmenu("#com_scale_cn","#menu10","#com_scale","#Form1","#com_scale");
	showmenu("#education_cn","#menu5","#education","#Form1","#education");
	showmenu("#experience_cn","#menu4","#experience","#Form1","#experience");	
	showmenulayer("#district_cn","#menu3","#district","#sdistrict",QS_city);
	// 语言要求
	selectYourLanguage("#language_box","#language", "#language_cn");
	function selectYourLanguage(showID, language, language_cn) {
		var language_val = $(language).val();
		if(language_val) {
			var language_array = language_val.split(","),
				che_array = $(showID + " :checkbox");
			$.each(che_array, function() {
				var liobj = $(this), che_data = liobj.val();
				for (var i = 0; i < language_array.length; i++) {
					if(che_data == language_array[i]) {
						liobj.attr('checked', !0);
					}
				};
			});
		}
		$(showID + " :checkbox").click(function() {
			var che_id = new Array();
			var che_cn = new Array();
			$(showID + " :checkbox[checked]").each(function(index,el) {
				che_id[index] = $(this).val();
				che_cn[index] = $(this).attr("title");
			})
			$(language).val(che_id.join(","));
			$(language_cn).val(che_cn.join(","));
		})
	}
	// 所属行业填充数据
	trade_filldata("#trad_list", QS_trade, "#determine", "#deselect", "#aui_outer", "#trade_result_show", "#trade", "#trade_cn");
	// 所属行业弹出框
	$("#trade_result_show").click(function() {
		popWin("aui_outer");
	});
	/*行业选择弹出层填充数据*/
	function trade_filldata(fillID, data_resources, determinebtn, deselectbtn, showID, resultshowID, resultID, resultCN) {
		var tradhtm = '';
		var sourse_length = parseInt(data_resources.length);
		var rows = 0;
		var subscriptnum = 0;
		if((sourse_length%3) == 0) {
			rows = sourse_length / 3;
		} else {
			rows = (sourse_length / 3) + 1;
		}
		for (var i = 0; i < rows; i++) {
			tradhtm += '<tr>';
			for (var j = 0; j < 3; j++) {
				if (data_resources[subscriptnum]) {
					var trad_array = data_resources[subscriptnum].split(",");
					tradhtm += '<td><label><input type="checkbox" data="'+trad_array[0]+','+trad_array[1]+'" name="item-list" class="input-checkbox">'+trad_array[1]+'</label></td>';
					subscriptnum ++;
				};
			};
			tradhtm += '</tr>';
		};
		$(fillID).html(tradhtm);
		// 恢复选中
		if ($(resultID).val().length > 0) {
			var idarray = $(resultID).val().split(",");
			$.each(idarray, function(index, val) {
				$(fillID+" :checkbox").unbind().each(function() {
					var boxdata_array = $(this).attr("data").split(",");
					if(val == boxdata_array[0]) {
						$(this).attr('checked',true);
					}
				});
			});
			copy_selected();
			isexceed($(fillID+" :checkbox[checked]").length);
		};
		// 单选
		$(fillID+" label :checkbox").unbind().on("click",function(event) {
			if ($(this).find(":checkbox").attr('checked')) {
				$(this).find(":checkbox").attr('checked',false);
				isexceed($(fillID+" :checkbox[checked]").length);
			} else {
				$(this).find(":checkbox").attr('checked',true);
				isexceed($(fillID+" :checkbox[checked]").length);
			}
		});
		/*判断选中的数量是否超出最大限制*/
		function isexceed(num) {
			if(num >= 3) {
				$(fillID+" :checkbox").each(function(index, el) {
					if (!$(this).attr('checked')) {
						$(this).attr('disabled',"disabled");
					}
				});
			} else {
				$(fillID+" :checkbox").each(function(index, el) {
					$(this).attr('disabled',false);
				});
			}
		}
		// 确定
		$(determinebtn).unbind().click(function() {
			copy_selected();
			close_dialog();
			searchHistory();
		});
		// 取消
		$(deselectbtn).unbind().click(function() {
			close_dialog();
		});
		// 弹出框关闭
		function close_dialog() {
			$("#maskLayer").remove();
			$(showID).hide();
		}
		// 复制选中 赋值
		function copy_selected() {
			var selectedhtm = "";
			var selectedid_array = new Array();
			var selectedcn_array = new Array();
			$(fillID+" :checkbox[checked]").unbind().each(function(index) {
				var data_array = $(this).attr("data").split(",");
				selectedhtm += '<span data-id="'+data_array[0]+'">'+data_array[1]+'<a class="close" style="top: 2px;"></a></span>';
				selectedid_array[index]=data_array[0];
				selectedcn_array[index]=data_array[1];
			});
			$(resultshowID + " .items").html(selectedhtm);
			var spanwidth = 0, itemswidth = $(resultshowID).width()-28, widtharray = new Array();
			if($(resultshowID + " .items span")) {
				$(resultshowID + " .items span").each(function(index) {
					spanwidth = spanwidth + $(this).outerWidth(true);
					widtharray[index] = $(this).outerWidth(true);
				})
			}
			var difwidth=spanwidth-itemswidth;
			if (widtharray.length == 2) {
				if(widtharray[0] + widtharray[1] > itemswidth) {
					setHeightCss(40);
				} else {
					setHeightCss(20);
				}
			} else if (widtharray.length == 3) {
				if(widtharray[0] + widtharray[1] + widtharray[2] > itemswidth) {
					if(widtharray[0] + widtharray[1] > itemswidth) {
						if(widtharray[1] + widtharray[2] > itemswidth) {
							setHeightCss(60);
						} else {
							setHeightCss(40);
						}
					} else {
						setHeightCss(40);
					}
				}
			} else {
				setHeightCss(20);
			}
			function setHeightCss (val) {
				$(resultshowID).css("height",val+"px");
				$(resultshowID + " .items").css("height",val+"px");
				$(resultshowID + " em").css("height",val+10+"px");
			}
			$(resultshowID + " span").unbind().click(function() {
				var dtid = $(this).attr("data-id");
				$(fillID+" :checkbox[checked]").unbind().each(function() {
					var dt_array = $(this).attr("data").split(",");
					if(dtid == dt_array[0]) {
						$(this).attr('checked',false);
					}
				});
				isexceed($(fillID+" :checkbox[checked]").length);
				copy_selected();
			});
			$(resultshowID).val(selectedcn_array.join(","));
			$(resultID).val(selectedid_array.join(","));
			$(resultCN).val(selectedcn_array.join(","));
		}
	}
	// 职位类别填充数据
	job_filldata("#job_list", QS_jobs_parent, QS_jobs, "#result-list-job", "#determine_job", "#deselect_job", "#aui_outer_job", "#trad_window_job", "#category_id", "#category_cn");
	// 职位类别弹出框
	$("#trad_window_job").click(function() { 
		popWin("aui_outer_job");
	});
	/*职位选择弹出层填充数据*/
	function job_filldata(fillID, data_resourcesP, data_resources, resultlist, determinebtn, deselectbtn, showID, resultshowID, resulthidId, resulthidCN) {
		var jobhtm = '', result_datapool = new Array();
		$.each(data_resourcesP, function(indexp, valp) {
			 var pjob_array = valp.split(",");
			 if (indexp%2 == 0) {
			 	jobhtm += '<div class="data-row data-row-odd item-list">';
			 } else {
			 	jobhtm += '<div class="data-row item-list">';
			 }
			 jobhtm += '<div style="width:160px" class="data-row-side">'+pjob_array[1]+'</div>';
			 jobhtm += '<div style="margin-left:160px"><ul>';
			 var job_array = data_resources[pjob_array[0]].split("|");
			 $.each(job_array, function(index, val) {
			 	 var joblist_array = val.split(",");
			 	 jobhtm += '<li style="width:190px"><a title="'+joblist_array[1]+'" href="javascript:;" data="'+pjob_array[0]+'.'+joblist_array[0]+'.0,'+joblist_array[1]+'" rel="'+pjob_array[0]+'.'+joblist_array[0]+'" class="cat"><i class="data-icon data-icon-expend"></i>'+joblist_array[1]+'</a><a href="javascript:;" class="cat-touch"><label title="'+joblist_array[1]+'"><input type="checkbox" data="'+pjob_array[0]+'.'+joblist_array[0]+'.0,'+joblist_array[1]+'" rel="'+pjob_array[0]+'.'+joblist_array[0]+'" class="checkbox" name="LocalDataMultiC">'+joblist_array[1]+'</label></a></li>';
			 });
			 jobhtm += '</ul></div>';
			 jobhtm += '</div>';
		});
		$(fillID).html(jobhtm);
		// 全部恢复
		if ($(resulthidId).val().length > 0) {
			var recoverid_array = $(resulthidId).val().split(","),
				recovercn_array = $(resulthidCN).val().split(",");
			for (var i = 0; i < recoverid_array.length; i++) {
				result_datapool[i] = recoverid_array[i]+","+recovercn_array[i];
			};
			copyitem();
			copy_selected();
			var cata_array = $(fillID + " a.cat");
			$.each(cata_array, function() {
				var catcobj = $(this), catcheckedid_array = splitdata(catcobj.attr("data"));
				$.each(result_datapool, function(indexdp,valdp) {
					var rdatapool_array = splitdata(valdp);
					if (catcheckedid_array[1]==rdatapool_array[1] && rdatapool_array[2] !=0) {
						catcobj.addClass('cat-checked');
					} else if(catcheckedid_array[1]==rdatapool_array[1] && rdatapool_array[2] ==0) {
						catcobj.addClass('cat-checked');
						catcobj.next().find("input").attr("checked", !0);
					}
				})
			});
		}
		$(fillID + " a.cat").unbind().on("click",function() {
			var ace = $(this), jobarrayid_array = ace.attr("rel").split(".");
			if (data_resources[jobarrayid_array[1]]) { // 判断是否有三级分类
				var tjobhtm = '<div class="data-sub"><table cellpadding="0" cellspacing="0"><tbody>';
				var tjob_array = data_resources[jobarrayid_array[1]].split("|");
				var sourse_length = parseInt(tjob_array.length);
				var rows = 0;
				var subscriptnum = 0;
				if((sourse_length%2) == 0) {
					rows = sourse_length / 2;
				} else {
					rows = (sourse_length / 2) + 1;
				}
				for (var i = 0; i < rows; i++) {
					tjobhtm += '<tr>';
					for (var j = 0; j < 2; j++) {
						if (tjob_array[subscriptnum]) {
							var tjoblist_array = tjob_array[subscriptnum].split(",");
							tjobhtm += '<td><a class="cat" data="'+jobarrayid_array[0]+'.'+jobarrayid_array[1]+'.'+tjoblist_array[0]+','+tjoblist_array[1]+'" href="javascript:;"><label title="'+tjoblist_array[1]+'"><input type="checkbox" class="checkbox" rel="'+jobarrayid_array[0]+'.'+jobarrayid_array[1]+'.'+tjoblist_array[0]+'" data="'+jobarrayid_array[0]+'.'+jobarrayid_array[1]+'.'+tjoblist_array[0]+','+tjoblist_array[1]+'" />'+tjoblist_array[1]+'</label></a></td>';
							subscriptnum ++;
						}
					};
					tjobhtm += '</tr>';
				};
				tjobhtm += '</tbody></table></div>';
				$(fillID).append(tjobhtm);
				var d = $(".data-sub"), l = $(this).closest("li");
				var g = l.find(".cat-touch input"), s = d.find("input");
				// 判断是否有选中
				var rco_resultlist = $(resultlist + " span i");
				if (rco_resultlist.length > 0) {
					$.each(rco_resultlist, function() {
						var dsc = $(this).attr("data-code"),
						 	dscode_array = splitdata(dsc);
						if(dscode_array[2] == 0) {
							$.each(g, function() {
								if (dsc == $(this).attr("data")) {
								 	var idsc = $(this).is(':checked');
								 	$(this).attr("checked", idsc);
								 	s.prop({"checked":idsc, "disabled":idsc});
								}
							})
						} else {
							$.each(s, function() {
								if (dsc == $(this).attr("data")) {
								 	$(this).attr("checked", !0);
								}
							})
						}
					})
				} else {
					g.prop("checked", false);
				}
				var pleft = $(fillID).offset().left,
					ptop = $(fillID).offset().top,
					pwidth = $(fillID).outerWidth(),
					pheight = $(fillID).outerHeight(),
					ileft = $(this).offset().left,
					itop = $(this).offset().top,
					iwidth = $(this).outerWidth(),
					iheight = $(this).outerHeight(),
					dwidth = d.outerWidth(),
					dheight = d.outerHeight(),
					comparetop = parseInt(itop - ptop),
					dcleft = parseInt(ileft - pleft);
				l.addClass('cat-active');
				var n = $(this).next();
				pheight - dheight - iheight < comparetop ? (n.removeClass("sub").addClass("sup"), d.css({left:(pwidth-dwidth < dcleft ? (pwidth-dwidth-((pleft+pwidth)-(ileft+iwidth))) + 1 : dcleft),top:(comparetop + iheight)-dheight-iheight + 1})) : (n.removeClass("sup").addClass("sub"), d.css({left:(pwidth-dwidth < dcleft ? (pwidth-dwidth-((pleft+pwidth)-(ileft+iwidth))) + 1 : dcleft),top:(comparetop + iheight) - 1}));
				n.bind('mouseenter', function() {
					var e = $(this).closest("li");
					e.attr("data-active", !0)
				}).bind('mouseleave', function() {
					var a = $(this).closest("li");
					a.removeAttr("data-active"), setTimeout(function() {
						a.attr("data-active") || ($(fillID).find(".data-sub").remove(), a.removeClass("cat-active"))
					}, 200)
				});
				d.bind('mouseenter', function() {
					l.attr("data-active", !0)
				}).bind('mouseleave', function() {
					l.removeAttr("data-active"), setTimeout(function() {
						l.attr("data-active") || (d.remove(), l.removeClass("cat-active"))
					}, 200)
				});
				g.unbind('click').bind('click', function() {
					var ic = $(this).is(':checked'), gdata = $(this).attr("data");
					s.prop({"checked":ic, "disabled":ic});
					if (ic) {
						var gdata_array = splitdata(gdata);
						for (var i = 0; i < result_datapool.length; i++) {
							if (result_datapool[i]) {
								var icgdata_array = splitdata(result_datapool[i]);
								if (gdata_array[1] == icgdata_array[1]) {
									result_datapool.splice(i,1);
									i = -1;
								}
							}
						}
						result_datapool.push(gdata);
						if(isexceed()) {
							ace.addClass('cat-checked');
						} else {
							$(this).attr("checked",false);
							result_datapool.splice($.inArray(gdata,result_datapool),1);
						}
					} else {
						result_datapool.splice($.inArray(gdata,result_datapool),1);
						ace.removeClass('cat-checked');
					}
					copyitem();
				});
				s.unbind('click').bind('click', function() {
					var sic = $(this).is(':checked'), sdata = $(this).attr("data");
					if (sic) {
						result_datapool.push(sdata);
						isexceed() ? ace.addClass('cat-checked') : result_datapool.splice($.inArray(sdata,result_datapool),1);
					} else {
						result_datapool.splice($.inArray(sdata,result_datapool),1);
						var chnum = d.find(' :checkbox[checked]').length;
						if (chnum <= 0) {
							ace.removeClass('cat-checked');
						}
					}
					copyitem();
				});
			} else{
				var l = $(this).closest("li");
				var g = l.find(".cat-touch input");
				// 判断是否有选中
				var rco_resultlist = $(resultlist + " span i");
				if (rco_resultlist.length > 0) {
					$.each(rco_resultlist, function() {
						var dsc = $(this).attr("data-code"),
						 	dscode_array = splitdata(dsc);
						if(dscode_array[2] == 0) {
							$.each(g, function() {
								if (dsc == $(this).attr("data")) {
								 	var idsc = $(this).is(':checked');
								 	$(this).attr("checked", idsc);
								}
							})
						}
					})
				} else {
					g.prop("checked", false);
				}
				l.addClass('cat-active');
				var n = $(this).next();
				n.bind('mouseenter', function() {
					var e = $(this).closest("li");
					e.attr("data-active", !0)
				}).bind('mouseleave', function() {
					var a = $(this).closest("li");
					a.removeAttr("data-active"), setTimeout(function() {
						a.attr("data-active") || ($(fillID).find(".data-sub").remove(), a.removeClass("cat-active"))
					}, 200)
				});
				g.unbind('click').bind('click', function() {
					var ic = $(this).is(':checked'), gdata = $(this).attr("data");
					if (ic) {
						result_datapool.push(gdata);
						if(isexceed()) {
							ace.addClass('cat-checked');
						} else {
							$(this).attr("checked",false);
							result_datapool.splice($.inArray(gdata,result_datapool),1);
						}
					} else {
						result_datapool.splice($.inArray(gdata,result_datapool),1);
						ace.removeClass('cat-checked');
					}
					copyitem();
				});
			};
		});
		// 确定
		$(determinebtn).unbind().click(function() {
			copy_selected();
			close_dialog();
		});
		// 取消
		$(deselectbtn).unbind().click(function() {
			close_dialog();
		});
		// 弹出框关闭
		function close_dialog() {
			$("#maskLayer").remove();
			$(showID).hide();
		}
		// 复制选中项目
		function copyitem() {
			// $(fillID + " :checkbox[checked]").not(':disabled')
			var resulthtm = '';
			resulthtm += '<strong class="result-name">';
			result_datapool.length > 0 ? resulthtm += '已选择' : resulthtm += '请选择';
			resulthtm += '</strong>';
			$.each(result_datapool, function(indexrd,valrd) {
				var result_data_array = valrd.split(",");
				resulthtm += '<span>'+result_data_array[1]+'<i class="data-icon data-icon-close" data-code="'+result_data_array[0]+','+result_data_array[1]+'"></i></span>';
			});
			$(resultlist).html(resulthtm);
			var spi = $(resultlist + " span i");
			spi.unbind().bind('click', function() {
				var spidata = $(this).attr("data-code"),
					apid_array = splitdata(spidata);
				result_datapool.splice($.inArray(spidata,result_datapool),1);
				var catchecked_array = $(fillID + " a.cat-checked");
				$.each(catchecked_array, function() {
					var catcobj = $(this), catcheckedid_array = splitdata(catcobj.attr("data"));
					if(apid_array[1]==catcheckedid_array[1] && apid_array[2]==0){
						catcobj.removeClass('cat-checked');
						catcobj.next().find("input").attr("checked", false);
					} else if (apid_array[1]==catcheckedid_array[1] && apid_array[2]!=0) {
						var rdanum = 0;
						$.each(result_datapool, function(indexdp,valdp) {
							var rdatapool_array = splitdata(valdp);
							if (apid_array[1]==rdatapool_array[1] && apid_array[2]!=0) {
								rdanum ++;
							}
						});
						if (rdanum <= 0) {
							catcobj.removeClass('cat-checked');
						}
					}
				});
				copyitem();
			});
		}
		// 分割data 返回数组
		function splitdata(arr) {
			var arrs_array = arr.split(","),
				arrid_array = arrs_array[0].split(".");
			return arrid_array;
		}
		// 判断选择数量是否超出
		function isexceed() {
			if(result_datapool.length > 3) {
				alert("最多可选3个");
				return false;
			} else {
				return true;
			}
		}
		// 复制选中 赋值
		function copy_selected() {
			var selectedid_array = new Array();
			var selectedcn_array = new Array();
			for (var i = 0; i < result_datapool.length; i++) {
				if (result_datapool[i]) {
					var data_array = result_datapool[i].split(",");
					selectedid_array[i]=data_array[0];
					selectedcn_array[i]=data_array[1];
				};
			};
			$(resultshowID).val(selectedcn_array.join(","));
			$(resulthidId).val(selectedid_array.join(","));
			$(resulthidCN).val(selectedcn_array.join(","));
		}
	}
	//性别中文字段复制
	$("input[name='sex']").click(function(){
	$("#sex_cn").val($(this).attr("title"));
	});
	//是否统招
	$("input[name='tongzhao']").click(function(){
	$("#tongzhao_cn").val($(this).attr("title"));
	});
});
</script>
<div class="admin_main_nr_dbox">
	<div class="pagetit">
		<div class="ptit"> {#$pageheader#}</div>
	  	<div class="clear"></div>
	</div>
	<div class="toptit">修改职位- <span style="color:#0066CC">{#$jobs.jobs_name#}</span> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;所属会员：{#$jobs.user.username#}</div>
	<form id="Form1" name="Form1" method="post" action="?act=editjobs_save"  onsubmit="return chk_form();">
		<input type="hidden" name="companyname1" value="{#$jobs.companyname#}">
		{#$inputtoken#}
		<div class="toptit">第一步:公司基本描述</span> </div>
  		<table width="100%" border="0" cellpadding="4" cellspacing="0" bgcolor="#FFFFFF"  >
		        	<tr>
		          		<td width="100" height="30" align="right"  style=" border-bottom:1px #CCCCCC dashed" ><span style="color:#FF3300; font-weight:bold">*</span>公司显示名称：</td>
		        		<td  style=" border-bottom:1px #CCCCCC dashed"><input name="com_companyname" type="text" class="input_text_200" id="com_companyname" maxlength="30"  style="width:350px;" value="{#$jobs.companyname#}" /></td>
		       	</tr>
		        	<tr>
		          		<td  height="30" align="right"  style=" border-bottom:1px #CCCCCC dashed" ><span style="color:#FF3300; font-weight:bold">*</span>公司备注名称：</td>
		        		<td  style=" border-bottom:1px #CCCCCC dashed"><input name="com_companyname_note" type="text" class="input_text_200" id="com_companyname_note" maxlength="30"  style="width:350px;" value="{#$jobs.companyname_note#}" /></td>
		        	</tr>
			<tr>
			          <td height="30" align="right"  style=" border-bottom:1px #CCCCCC dashed">
			          		<span style="color:#FF3300; font-weight:bold">*</span>企业性质：
			          	</td>
			          <td  style=" border-bottom:1px #CCCCCC dashed">
			          	<div>		  
						<input type="text" value="{#$jobs.companynature_cn|default:"请选择企业性质"#} "  readonly="readonly" name="com_nature_cn" id="com_nature_cn" class="input_text_200 input_text_selsect"/>
						<input name="com_nature" id="com_nature" type="hidden" value="{#$jobs.companynature#} " />
						<div id="menu8" class="menu">
							<ul>
							{#qishi_get_classify set="列表名:c_nature,类型:QS_company_type"#}{#foreach from=$c_nature item=list#}
							<li id="{#$list.id#}" title="{#$list.categoryname#}">{#$list.categoryname#}</li>
							{#/foreach#}
							</ul>
						</div>
					</div>
				</td>
			</tr>
		       	<tr>
		          		<td height="30" align="right" style=" border-bottom:1px #CCCCCC dashed" ><span style="color:#FF3300; font-weight:bold;">*</span>所属行业：</td>
		        		<td style=" border-bottom:1px #CCCCCC dashed" >
		        		<div>
							<input type="text" id="trade_result_show" value="{#$jobs.trade_cn|default:"请选择所属行业"#} " readonly="readonly" name="trade_cn" id="trade_cn" class="input_text_200 input_text_selsect"/>
							<input name="trade" id="trade" type="hidden" value="{#$jobs.trade#}" />
							<input name="trade_cn" id="trade_cn" type="hidden" value="{#$jobs.trade_cn#}" />
						</div>
				</td>
		          </tr>
			<tr>
			          <td height="30" align="right" style=" border-bottom:1px #CCCCCC dashed"><span style="color:#FF3300; font-weight:bold">*</span>公司规模：</td>
			          <td  style=" border-bottom:1px #CCCCCC dashed">
			          	<div>
						<input type="text" value="{#$jobs.scale_cn|default:"请选择公司规模"#} "  readonly="readonly" name="com_scale_cn" id="com_scale_cn" class="input_text_200 input_text_selsect"/>
						<input name="com_scale" id="com_scale" type="hidden" value="{#$jobs.scale#} " />
						<div id="menu10" class="menu">
							<ul>
							{#qishi_get_classify set="类型:QS_scale,列表名:c_scale"#}{#foreach from=$c_scale item=list#}
							<li id="{#$list.id#}" title="{#$list.categoryname#}">{#$list.categoryname#}</li>
							{#/foreach#}
							</ul>
						</div>
					</div>
				</td>
			</tr>
		      	<tr>
		         		<td align="right" valign="top"  style=" border-bottom:1px #CCCCCC dashed">
				  <span style="color:#FF3300; font-weight:bold">*</span> 公司介绍：</td>
		          		<td  style=" border-bottom:1px #CCCCCC dashed">
				<textarea name="com_content" class="input_text_200_textarea" id="com_content" style="width:450px; height:150px; margin-bottom:6px;" > {#$jobs.company_introduce#}</textarea>
		          </tr>
			<tr>
		         		<td height="30" align="right" bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed">刷新时间：</td>
		          		<td bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed" class="link_lan">
		         			{#$jobs.refreshtime|date_format:"%Y-%m-%d"#}
				</td>
		          </tr>
		</table>
		<div class="toptit">第二步:职位基本描述</span> </div>
  		<table width="100%" border="0" cellpadding="4" cellspacing="0" bgcolor="#FFFFFF"  >
		        	<tr>
		          		<td  height="30" align="right" style=" border-bottom:1px #CCCCCC dashed" ><span style="color:#FF3300; font-weight:bold">*</span> 职位名称：</td>
		          		<td style=" border-bottom:1px #CCCCCC dashed" ><input name="jobs_name" type="text" class="input_text_200" id="jobs_name" maxlength="30" style=" width:350px;" value="{#$jobs.jobs_name#}"/></td>
		          </tr>
		          <tr>
		         		<td height="30" align="right" bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed"><span style="color:#FF3300; font-weight:bold">*</span>  招聘状态：</td>
		          		<td bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed">
				  	<label><input name="display"  type="radio" value="1" {#if $jobs.display eq "1"#}checked="checked"{#/if#} />招聘中</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				 	<label><input name="display"  type="radio" value="2" {#if $jobs.display eq "2"#}checked="checked"{#/if#} />暂停招聘</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				</td>
		          </tr>
			<tr>
	          			<td height="30" align="right" bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed"><span style="color:#FF3300; font-weight:bold">*</span> 审核状态：</td>
	          			<td bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed">
			   		<label><input name="audit"  type="radio" value="1" {#if $jobs.audit eq "1"#}checked="checked"{#/if#} />审核通过</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			    		<label><input name="audit"  type="radio" value="2" {#if $jobs.audit eq "2"#}checked="checked"{#/if#} />审核中</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			 
			   		<label><input name="audit"  type="radio" value="3" {#if $jobs.audit eq "3"#}checked="checked"{#/if#} />审核未通过</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			 	</td>
	       		</tr>
		       	<tr>
		          		<td height="30" align="right" style=" border-bottom:1px #CCCCCC dashed"  ><span style="color:#FF3300; font-weight:bold">*</span> 职位类别：</td>
		          		<td style=" border-bottom:1px #CCCCCC dashed" >
				<div>
					<input type="text" id="trad_window_job" value="{#$jobs.category_cn|default:"请选择职位类别"#}"  readonly="readonly" name="category_cn" id="category_cn" class="input_text_200 input_text_selsect"/>
					<input name="category_id" id="category_id" type="hidden" value="{#$jobs.category#}"/>		
					<input name="category_cn" id="category_cn" type="hidden" value="{#$jobs.category_cn#}" />
				</div>
				</td>
		          </tr>
		          <tr>
		           	<td height="30" align="right" style=" border-bottom:1px #CCCCCC dashed" ><span style="color:#FF3300; font-weight:bold">*</span> 工作地区：</td>
			          	<td style=" border-bottom:1px #CCCCCC dashed" >
					 <div>
						<input type="text" value="{#$jobs.district_cn|default:"请选择工作地区"#}"  readonly="readonly" name="district_cn" id="district_cn" class="input_text_200 input_text_selsect"/>
						<input name="district" id="district" type="hidden" value="{#$jobs.district#}" />
						<input name="sdistrict" id="sdistrict" type="hidden" value="{#$jobs.sdistrict#}" />
						<div id="menu3" class="dmenu shadow">
							<ul>
							{#qishi_get_classify set="类型:QS_district,id:0,列表名:c_province"#}{#foreach from=$c_province item=list#}
							<li id="{#$list.id#}" title="{#$list.categoryname#}">{#$list.categoryname#}</li>
							{#/foreach#}
							</ul>
						</div>
						<div id="menu3_s" class="dmenu shadow" style="display:none"></div>
					</div>
				</td>
		          </tr>
		          <tr>
		          		<td width="100" height="30" align="right" style=" border-bottom:1px #CCCCCC dashed" ><span style="color:#FF3300; font-weight:bold">*</span> 所属部门：</td>
		          		<td style=" border-bottom:1px #CCCCCC dashed" ><input name="department" type="text" class="input_text_200" id="department" maxlength="30"   value="{#$jobs.department#}"/></td>
		          </tr>
		          <tr>
		             	<td width="100" height="30" align="right" style=" border-bottom:1px #CCCCCC dashed" ><span style="color:#FF3300; font-weight:bold">*</span> 招聘人数：</td>
		          		<td style=" border-bottom:1px #CCCCCC dashed" ><input name="amount" type="text" class="input_text_200" id="amount" maxlength="30" value="{#$jobs.amount#}" />人</td>
		          </tr>
		          <tr>
		             	<td width="100" height="30" align="right" style=" border-bottom:1px #CCCCCC dashed" >汇报对象：</td>
		          		<td style=" border-bottom:1px #CCCCCC dashed" ><input name="reporter" type="text" class="input_text_200" id="reporter" maxlength="30" value="{#$jobs.reporter#}" /></td>
		          </tr>
		</table>
		 <div class="toptit">第三步:职位要求 </span> </div>
		<table width="100%" border="0" cellpadding="4" cellspacing="0" bgcolor="#FFFFFF"  >
		          <tr>
			          <td height="30" align="right" bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed"><span style="color:#FF3300; font-weight:bold;">*</span> 税前年薪：</td>
			          <td bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed">
			          		<input name="wage_min" type="text" class="input_text_50" id="wage_min" value="{#$jobs.wage_min#}" maxlength="3" onKeyUp="if(event.keyCode !=37 && event.keyCode != 39) value=value.replace(/\D/g,'');"onbeforepaste="clipboardData.setData('text',clipboardData.getData('text').replace(/\D/g,''))"/>&nbsp;&nbsp;万元&nbsp;&nbsp;到&nbsp;&nbsp;&nbsp;&nbsp;
			            	<input name="wage_max" type="text" class="input_text_50" id="wage_max" value="{#$jobs.wage_max#}" maxlength="3" onKeyUp="if(event.keyCode !=37 && event.keyCode != 39) value=value.replace(/\D/g,'');"onbeforepaste="clipboardData.setData('text',clipboardData.getData('text').replace(/\D/g,''))"/>&nbsp;&nbsp;万元
			           </td>&nbsp;
			</tr>
			<tr>
		          		<td height="30" align="right" bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed"> 年龄要求：</td>
		          		<td bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed">
		          		<input name="age_min" type="text" class="input_text_50" id="age_min" value="{#$jobs.age_min#}" maxlength="3" onKeyUp="if(event.keyCode !=37 && event.keyCode != 39) value=value.replace(/\D/g,'');"onbeforepaste="clipboardData.setData('text',clipboardData.getData('text').replace(/\D/g,''))"/>&nbsp;&nbsp;&nbsp;岁&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;至&nbsp;&nbsp;&nbsp;&nbsp;<input name="age_max" type="text" class="input_text_50" id="age_max" value="{#$jobs.age_max#}" maxlength="3" onKeyUp="if(event.keyCode !=37 && event.keyCode != 39) value=value.replace(/\D/g,'');"onbeforepaste="clipboardData.setData('text',clipboardData.getData('text').replace(/\D/g,''))"/>&nbsp;&nbsp;&nbsp;岁</td>&nbsp;
		          </tr>
		          <tr>
		          		<td width="110" height="30" align="right" bgcolor="#FFFFFF"  style=" border-bottom:1px #CCCCCC dashed"> 性别要求：</td>
		          		<td  style=" border-bottom:1px #CCCCCC dashed">
				  	<label><input name="sex"  type="radio" value="1"  title="男" {#if $jobs.sex == "1"#}checked="checked"{#/if#} />男</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				  	<label><input name="sex"  type="radio" value="2"  title="女"  {#if $jobs.sex == "2"#}checked="checked"{#/if#} />女</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				   	<label><input name="sex"  type="radio" value="3"  title="不限" {#if $jobs.sex == "3"#}checked="checked"{#/if#} />不限</label>
				   	<input name="sex_cn" type="hidden" value="{#$jobs.sex_cn#}" id="sex_cn" />
				</td>
		          </tr>
		          <tr>
		          		<td width="110" height="30" align="right" bgcolor="#FFFFFF"  style=" border-bottom:1px #CCCCCC dashed"> 专业要求：</td>
		          		<td  style=" border-bottom:1px #CCCCCC dashed"><input name="major" type="text" class="input_text_200" id="major" value="{#$jobs.major#}" maxlength="50" />
		           	</td>
		          </tr>
		          <tr>
			          <td height="30" align="right" bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed"><span style="color:#FF3300; font-weight:bold;">*</span> 工作经验：</td>
			          <td bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed">
					 <div>
						{#qishi_get_classify set="类型:QS_experience,列表名:li"#}
						<input type="text" value="{#$jobs.experience_cn|default:"请选择"#}"  readonly="readonly" name="experience_cn" id="experience_cn" class="input_text_200 input_text_selsect"/>
						<input name="experience" id="experience" type="hidden" value="{#$jobs.experience#}" />
						<div id="menu4" class="menu">
							<ul>
							{#foreach from=$li item=list#}
							<li id="{#$list.id#}" title="{#$list.categoryname#}">{#$list.categoryname#}</li>
							{#/foreach#}
							</ul>
						</div>
					</div>
				</td>
		          </tr>
		          <tr>
			          <td height="30" align="right" bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed"><span style="color:#FF3300; font-weight:bold;">*</span> 学历要求：</td>
			          <td bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed">
					  <div>
						{#qishi_get_classify set="类型:QS_education,列表名:li"#}
						<input type="text" value="{#$jobs.education_cn|default:"请选择"#}"  readonly="readonly" name="education_cn" id="education_cn" class="input_text_200 input_text_selsect"/>
						<input name="education" id="education" type="hidden" value="{#$jobs.education#}" />
						<div id="menu5" class="menu">
							<ul>
							{#foreach from=$li item=list#}
							<li id="{#$list.id#}" title="{#$list.categoryname#}">{#$list.categoryname#}</li>
							{#/foreach#}
							</ul>
						</div>
					 </div>
				</td>
		          </tr>
		          <tr>
		          		<td height="30" align="right" style=" border-bottom:1px #CCCCCC dashed" >是否统招：</td>
		          		<td style=" border-bottom:1px #CCCCCC dashed" >
				   	<label><input name="uec"  type="radio" value="1" {#if $jobs.uec=="1"#}checked="checked"{#/if#} title="是"/>是</label>&nbsp;&nbsp;&nbsp;
				   	<label><input name="uec"  type="radio" value="2" {#if $jobs.uec=="0"#}checked="checked"{#/if#} title="否"/>否</label>&nbsp;&nbsp;&nbsp;
				   	<input name="tongzhao_cn" type="hidden"  id="tongzhao_cn" value="{#$jobs.tongzhao_cn#}" />
				</td>
		          </tr>
		          <tr>
		          		<td width="110" height="30" align="right" bgcolor="#FFFFFF"  style=" border-bottom:1px #CCCCCC dashed"> 语言要求：</td>
		          		<td  style=" border-bottom:1px #CCCCCC dashed" id="language_box">
				 	{#qishi_get_classify set="类型:QS_language,列表名:li"#}
				 	{#foreach from=$li item=list#}
				 	<label><input name="language_se" type="checkbox" value="{#$list.id#}"  title="{#$list.categoryname#}"/>{#$list.categoryname#}</label>
					{#/foreach#}
				   	<input name="language" id="language" type="hidden" value="{#$jobs.language#}" />
				   	<input name="language_cn" type="hidden" value="{#$jobs.language_cn#}" id="language_cn" />
				</td>
		        	</tr>
		          <tr>
		          		<td height="30" align="right" bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed">有效时间：</td>
		          		<td bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed">{#$jobs.deadline_days#}。<span style="color: #999999">(发布日期：{#$jobs.addtime|date_format:"%Y-%m-%d %H:%M"#}～截止日期：{#$jobs.deadline|date_format:"%Y-%m-%d %H:%M"#})</span><input name="olddeadline" type="hidden" value="{#$jobs.deadline#}" /></td>
		          </tr>
		        	<tr>
		          		<td align="right" valign="top" style=" border-bottom:1px #CCCCCC dashed" >
				  <span style="color:#FF3300; font-weight:bold">*</span> 职位描述：</td>
		          		<td  style=" border-bottom:1px #CCCCCC dashed">
					<div><textarea name="contents" class="input_text_200_textarea" id="contents" style="width:450px; height:150px;" >{#$jobs.contents#}</textarea><br />
					</div>
				</td>
		        	</tr>
		</table>
	
		<div class="toptit">联系方式</div>
		<table width="100%" border="0" cellpadding="4" cellspacing="0" bgcolor="#FFFFFF"  >
		<tr>
	          		<td  width="100" height="30" align="right" bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed"><span style="color:#FF3300; font-weight:bold">*</span> 联 系 人：</td>
	          		<td bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed">
			  	<input name="contact" type="text" class="input_text_200" id="contact" value="{#$jobs.contact.contact#}" maxlength="15" />
			</td>
	          </tr>
		<tr>
		          <td height="30" align="right" bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed"><span style="color:#FF3300; font-weight:bold">*</span> 联系电话：</td>
		          <td bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed">
				  <input name="telephone" type="text" class="input_text_200" id="telephone" maxlength="35" value="{#$jobs.contact.telephone#}" />
			</td>
		</tr>
		<tr>
	        	  	<td height="30" align="right" bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed"><span style="color:#FF3300; font-weight:bold">*</span> 联系邮箱：</td>
	          		<td bgcolor="#FFFFFF" style=" border-bottom:1px #CCCCCC dashed">
		          		<input name="email" type="text" class="input_text_200" id="email" maxlength="80"  value="{#$jobs.contact.email#}"/>
			</td>
	          </tr>
		<tr>
	            	<td height="30" align="right" bgcolor="#FFFFFF" >&nbsp;</td>
	            	<td height="120" bgcolor="#FFFFFF"><span style="font-size:14px;">
	              		<input type="hidden" name="id"  value="{#$jobs.id#}" />
	              		<input type="hidden" name="uid"  value="{#$jobs.uid#}" />
				<input type="hidden" name="company_id"  value="{#$jobs.company_id#}" />			  
				<input type="hidden" name="url"  value="{#$url#}" />
	              		<input name="submit3" type="submit" class="admin_submit"    value="保存修改"/> 
	              		<input name="submit22" type="button" class="admin_submit"    value="返 回" onclick="window.location.href='{#$url#}'"/></span>
	              	</td>
	          </tr>
  	</table>
  </form> 
 </div>
 <!-- 所属行业弹出框 -->
	<div class="aui_outer" style="display:none;" id="aui_outer">
		<table class="aui_border">
			<tbody>
				<tr><td class="aui_nw"></td><td class="aui_n"></td><td class="aui_ne"></td></tr>
				<tr>
					<td class="aui_w"></td>
					<td class="aui_c">
						<div class="aui_inner">
							<table class="aui_dialog">
								<tbody>
									<tr><td class="aui_header" colspan="2"><div class="aui_titleBar"><div class="aui_title" style="cursor: move;">选择所属行业</div><a href="javascript:;" class="aui_close">×</a></div></td></tr>
									<tr>
										<td class="aui_main" style="width: auto; height: auto; visibility: visible;">
											<div class="aui_content" style="padding: 20px 25px;">
												<div class="items jquery-localdata">
													<p class="tips">最多可以选择 3 项</p>
													<div style="height:410px" class="item-table">
														<table style="width:700px;" class="options-table">
															<tbody class="item-list"><tr class=""><td><table><tbody id="trad_list">
																<!-- 列表内容 -->
															</tbody></table></td></tr>
															</tbody>
														</table>
													</div>
												</div>
											</div>
										</td>
									</tr>
									<tr><td class="aui_footer" colspan="2"><div class="aui_buttons" style=""><button class="aui-btn aui-btn-primary" id="determine" type="button">确定</button><button class="aui-btn aui-btn-light" id="deselect" type="button">取消</button></div></td></tr>
								</tbody>
							</table>
						</div>
					</td>
					<td class="aui_e"></td>
				</tr>
				<tr><td class="aui_sw"></td><td class="aui_s"></td><td class="aui_se" style="cursor: se-resize;"></td></tr>
			</tbody>
		</table>
	</div>
	<!-- 所属行业弹出框 End-->
	<!-- 职位类别弹出框 -->
	<div class="aui_outer" style="display:none;" id="aui_outer_job">
		<table class="aui_border">
			<tbody>
				<tr><td class="aui_nw"></td><td class="aui_n"></td><td class="aui_ne"></td></tr>
				<tr>
					<td class="aui_w"></td>
					<td class="aui_c">
						<div class="aui_inner">
							<table class="aui_dialog">
								<tbody>
									<tr><td class="aui_header" colspan="2"><div class="aui_titleBar"><div class="aui_title" style="cursor: move;">选择职位类别</div><a href="javascript:;" class="aui_close">×</a></div></td></tr>
									<tr>
										<td class="aui_main" style="width: auto; height: auto; visibility: visible;">
											<div class="aui_content" style="padding: 0px;">
												<div style="width:960px" class="LocalDataMultiC">
													<div class="data-row-head"><div class="data-row"><div class="data-row-side"><i class="data-icon data-icon-info"></i>最多可以选择 <strong class="text-warning">3</strong> 项</div><div style="margin-left:160px" id="result-list-job" class="result-list"><strong class="result-name">请选择</strong></div></div></div>
													<div style="height:auto;" class="data-row-list data-row-main" id="job_list">
														<!-- 列表内容 -->
													</div>
												</div>
											</div>
										</td>
									</tr>
									<tr><td class="aui_footer" colspan="2"><div class="aui_buttons" style=""><button class="aui-btn aui-btn-primary" id="determine_job" type="button">确定</button><button class="aui-btn aui-btn-light" id="deselect_job" type="button">取消</button></div></td></tr>
								</tbody>
							</table>
						</div>
					</td>
					<td class="aui_e"></td>
				</tr>
				<tr><td class="aui_sw"></td><td class="aui_s"></td><td class="aui_se" style="cursor: se-resize;"></td></tr>
			</tbody>
		</table>
	</div>
	<!-- 职位类别弹出框 End-->
{#include file="sys/admin_footer.htm"#}
</body>
</html>